cp330+:
  general:
    full_name: "Classpad 330+"
    international_name: "Classpad 330+"
    year_launched: 2012
    predecessor: cp330
    successor: cp400
    family: family.cas
    active: no
  teaching:
    audience: audience.high_school_college
    exam_mode: no
    math_input: yes
    pretty_print: yes
    matrices: yes
    complex_calculus: yes
    symbolic_calculus: symbolic_calculus.cas
    cas: cas.native
  packaging:
    size: [21, 84, 189.5] # mm
    weight: 260 # g
    power: power.4aaa
    power_runtime: 140 # hours
  programming:
    casio_basic: casio_basic.native
    add_ins: add_ins.no_sdk
    add_ins_sdk: []
    python: no
  hardware:
    mpu: "SH7305"
    cpu: "SH-4..."
    default_cpu_frequency: null
    overclock_tools: []
    max_cpu_frequency: null
    ram_chip: null
    rom_chip: 16000000 # bytes
    ram_storage: 515000 # bytes
    rom_storage: 5400000 # bytes
    sd_card: no
  devices:
    display: null
    backlit_display: no
    color_mode: color_mode.mono
    touch_screen: yes
    display_size_pixels: [160, 240] # pixels
    display_size_text: display_size_text.variable
    serial_connection: serial_connection.jack_25
    usb_connection: usb_connection.mini_usb_b
    protocols: null
    transfer_software: [transfer_software.facp1, transfer_software.classpad_manager, transfer_software.classpad_addin_installer]
  misc:
    price_range: [140, 200] # euros
    last_os_version: "3.10"
  links:
    casio_france:
      "[Casio Éducation](https://web.archive.org/web/20120516022353/http://www.casio-education.fr/calculatrice_casio_classpad330.html) (2012)"
    casio_international:
      "[edu.casio.com](https://edu.casio.com/products/cg/cp330plus/) (2021)"
  manuals:
    software_french_fr:
      "3.10": "https://support.casio.com/fr/manual/004/CP330PLUSver310_Soft_FR.pdf"
    software_international_fr:
      "3.10": "https://support.casio.com/fr/manual/004/CP330PLUSver310_Soft_FR.pdf"
    software_international_en:
      "3.10": "https://support.casio.com/en/manual/004/CP330PLUSver310_Soft_EN.pdf"
    hardware_french_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/CP330PLUS_Hard_FR.pdf"
    hardware_international_fr:
      "support.casio.com": "https://support.casio.com/storage/fr/manual/pdf/FR/004/CP330PLUS_Hard_FR.pdf"
    hardware_international_en:
      "support.casio.com": "https://support.casio.com/en/manual/004/CP330PLUS_Hard_EN.pdf"
